MyTetra Share
Делитесь знаниями!
О, смотри-ка какое хорошее место. Дайте два!
Что делать, если apt предлагает удалить нужные пакеты
04.06.2010
01:32
Текстовые метки: linux, apt, пакет, пакетный менеджер
Раздел: Компьютер - Linux - Инсталляция программ - Пакетный менеджер APT: apt-get и прочее

Собственно, после одного из апдейтов (Debian Squeeze), при установке любого пакета, начало вылезать следующее:

The following packages were automatically installed and are no longer required:

libobrender21 mesa-utils libepc-ui-1.0-2 libempathy30 geoclue ekiga python-opengl libpt2.6.5-plugins python-gst0.10 gcalctool gnome-nettool libepc-1.0-2 libobparser21 libgtk-vnc-1.0-0 python-notify libtelepathy-glib0 pkg-config gucharmap libdiscid0 gnome-games cheese libaprutil1-dbd-sqlite3 gnome-cards-data totem-plugins python-gdata gedit liblircclient0 python-gtksourceview2 gtk2-engines-pixbuf apache2.2-bin cheese-common python-gtkglext1 gnome-themes seahorse empathy libempathy-common totem-common libempathy-gtk28 libaprutil1-ldap vinagre odbcinst seahorse-plugins libgeoclue0 xdg-user-dirs gnome-user-share libgalago3 libtelepathy-farsight0 gconf-defaults-service guile-1.8-libs unixodbc libpolkit-gtk-1-0 python-beautifulsoup gedit-common libopal3.6.6 libdmx1 libcryptui0 libgdu-gtk0 gdm-themes fast-user-switch-applet gtk2-engines libgtksourceview2.0-common eog gdm libgtksourceview2.0-0 odbcinst1debian1 libavahi-gobject0 gnome-disk-utility gnome-backgrounds python-xdg libclutter-1.0-0 python-feedparser vino gnome-games-data telepathy-mission-control-5 libapache2-mod-dnssd libclutter-gtk-0.10-0 libgdata7 libchamplain-0.4-0 libchamplain-gtk-0.4-0 libepc-common python-bugbuddy libpt2.6.5 python-gdbm gnome-core libcheese-gtk18 dmz-cursor-theme python-evolution python-pkg-resources libempathy-gtk-common gconf-editor gnome-system-tools hamster-applet gnuchess totem libavahi-ui0 p7zip-full libgtkglext1 gstreamer0.10-tools freeglut3 totem-mozilla python-httplib2 file-roller libspeexdsp1 python-rdflib libgdata-common sound-juicer libmusicbrainz3-6

Use 'apt-get autoremove' to remove them.

Очевидно, что значительная часть пакетов нужные и активно используются в системе. Видимо, где-то слетело Depends. Собственно, как пофиксить, при этом не помечая эти пакеты в hold?

Ответ 1:

Мне в аналогичном случае помогло: apt-get install имена пакетов

Ответ 2:

а можно и отключить это свинство:

в /etc/apt/apt.conf

вставить строку:

debug::pkgAutoRemove=false

Так же в этом разделе:
← Содержание ...
 
MyTetra Share v.0.35
Яндекс индекс цитирования